from fastapi import Request
from folkugat_web.api.router import get_router
from folkugat_web.services import auth
from folkugat_web.templates import templates

router = get_router()


@router.get("/")
def index(request: Request, logged_in: auth.LoggedIn):
    return templates.TemplateResponse(
        "index.html",
        {
            "request": request,
            "page_title": "Folkugat",
            "page_description": "Sessions de folk a Sant Cugat",
            "content": "/api/content/sessions",
            "logged_in": logged_in,
            "animate": True,
        }
    )
